Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.funkce
Class Validator

    java.lang.Object
      cz.vutbr.feec.utko.fojtoval.krypto.funkce.Validator

    public class Validator

extends java.lang.Object

Validace vstupu od uzivatele (napr. pri zadavani parametru sifrovych systemu atd.).

Constructor Summary
`Validator()`

Method Summary
`static int` | `validint(java.lang.String text, int min, int max)` Validuje, jestli je zadany parametr (integer) ze spravneho rozsahu atd.
`static java.lang.String` | `validstring(java.lang.String text, int min, int max)` Validuje, jestli je zadany parametr (string) ze spravneho rozsahu atd.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validator

    public Validator()

Method Detail

### validint

    public static int validint(java.lang.String text,
                               int min,
                               int max)
                        throws java.lang.Exception

  Validuje, jestli je zadany parametr (integer) ze spravneho rozsahu atd.

  Parameters:
    `text` - vstupni parametr
    `min` - spodni hranice rozsahu
    `max` - horni hranice rozsahu
  Returns:
  Throws:
    `java.lang.Exception`

### validstring

    public static java.lang.String validstring(java.lang.String text,
                                               int min,
                                               int max)
                                        throws java.lang.Exception

  Validuje, jestli je zadany parametr (string) ze spravneho rozsahu atd.

  Parameters:
    `text` - vstupni parametr
    `min` - spodni hranice rozsahu
    `max` - horni hranice rozsahu
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD